## ros-indigo-iai-control-msgs 0.0.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(iai_control_msgs)

find_package(catkin REQUIRED COMPONENTS
    message_generation std_msgs geometry_msgs actionlib_msgs
    )

add_message_files(
  FILES
  MultiJointVelocityCommand.msg
  MultiJointVelocityImpedanceCommand.msg
  MultiJointVelocityImpedanceState.msg
  CartGoal.msg
  CartState.msg
  JointLimits.msg)

add_action_files(
  DIRECTORY action
  FILES PTU.action
)

generate_messages(
  DEPENDENCIES
    std_msgs
    geometry_msgs
    actionlib_msgs)

catkin_package(
  CATKIN_DEPENDS std_msgs geometry_msgs actionlib_msgs)

=== debian/changelog ===
ros-indigo-iai-control-msgs (0.0.5-3trusty) trusty; urgency=high

  * Added a state message for multi-joint velocity-resolved controllers which allow commanding impedances.
  * Contributors: Georg Bartels

 -- Georg Bartels <georg.bartels@cs.uni-bremen.de>  Thu, 23 Apr 2015 22:00:00 -0000

ros-indigo-iai-control-msgs (0.0.4-3trusty) trusty; urgency=high

  * Added CHANGELOG.rst files for the new message packages
  * Add a stamp to the messages
  * Renamed messages for multi-joint velocity controllers.
  * Added new message definition for multi-joint-velocity commands.
  * Added new message for velocity-commands of joint controllers.
  * Contributors: Alexis Maldonado, Georg Bartels, Jan Winkler
  * Add a stamp to the messages
  * Renamed messages for multi-joint velocity controllers.
  * Added new message definition for multi-joint-velocity commands.
  * Added new message for velocity-commands of joint controllers.
  * Contributors: Alexis Maldonado, Georg Bartels

 -- Georg Bartels <georg.bartels@cs.uni-bremen.de>  Wed, 18 Mar 2015 23:00:00 -0000

ros-indigo-iai-control-msgs (0.0.3-3trusty) trusty; urgency=high



 -- Georg Bartels <georg.bartels@cs.uni-bremen.de>  Mon, 13 Oct 2014 22:00:00 -0000

ros-indigo-iai-control-msgs (0.0.2-3trusty) trusty; urgency=high



 -- Georg Bartels <georg.bartels@cs.uni-bremen.de>  Fri, 16 May 2014 14:24:00 -0000

ros-indigo-iai-control-msgs (0.0.1-3trusty) trusty; urgency=high



 -- Georg Bartels <georg.bartels@cs.uni-bremen.de>  Fri, 16 May 2014 14:20:00 -0000

=== debian/control ===
Source: ros-indigo-iai-control-msgs
Section: misc
Priority: extra
Maintainer: Georg Bartels <georg.bartels@cs.uni-bremen.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib-msgs, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-iai-control-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib-msgs, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-std-msgs
Description: Message defintions to talk to the motion controllers developed in the IAI institute, University Bremen, Germany.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-iai-control-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
